> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.hindsiteind.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.hindsiteind.com/_mcp/server.

# Get Tools

GET https://app.hindsiteind.com/api/v2/tools

Lists the tools that are not retired at the locations the caller can access (every location in the organisation for admins), ordered by name and optionally narrowed by location and tool type.

Reference: https://api-docs.hindsiteind.com/hindsite-api/tools/get-tools

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

## Request

### Query parameters

- `location_ids[]` (list of string, optional) — Only return tools at these locations. Repeat the parameter to pass several IDs, e.g. `location_ids[]=A&location_ids[]=B`.
- `tool_type_ids[]` (list of string, optional) — Only return tools of these tool types. Repeat the parameter to pass several IDs, e.g. `tool_type_ids[]=A&tool_type_ids[]=B`.

## Response

### 200

get Tool(s)

- `list of Tool`

## Types

### Tool

- `id` (string, optional) — ULID
- `serial_number` (string, optional, nullable) — null when the tool has no serial number
- `name` (string, optional)
- `retired` (boolean, optional) — Always false on GET /api/v2/tools, which excludes retired tools
- `tool_type` (ToolType, optional)
- `location` (Location, optional)
- `created_at` (long, optional) — Unix timestamp (seconds since epoch)
- `updated_at` (long, optional) — Unix timestamp (seconds since epoch)

### ToolType

- `id` (string, optional) — ULID
- `name` (string, optional)
- `created_at` (long, optional) — Unix timestamp (seconds since epoch)
- `updated_at` (long, optional) — Unix timestamp (seconds since epoch)

### Location

- `id` (string, optional) — ULID
- `name` (string, optional)
- `address` (string, optional)
- `company_id` (string, optional) — ULID
- `company_name` (string, optional)
- `archived` (boolean, optional)
- `external_id` (string, optional)
- `custom_fields` (list of CustomFieldValue, optional)
- `can_manage` (boolean, optional)
- `created_at` (long, optional) — Unix timestamp (seconds since epoch) when the record was created
- `updated_at` (long, optional) — Unix timestamp (seconds since epoch) when the record was last updated

### CustomFieldValue

- `id` (string, optional) — ULID
- `custom_field_definition_id` (string, optional) — ULID
- `name` (string, optional)
- `value` (string, optional) — Checkbox fields are "1" (ticked) or "0".
- `created_at` (long, optional) — Unix timestamp (seconds since epoch) when the record was created
- `updated_at` (long, optional) — Unix timestamp (seconds since epoch) when the record was last updated

## Examples

**Response**

```json
[
  {
    "id": "string",
    "serial_number": "string",
    "name": "string",
    "retired": true,
    "tool_type": {
      "id": "string",
      "name": "string",
      "created_at": 1,
      "updated_at": 1
    },
    "location": {
      "id": "string",
      "name": "string",
      "address": "string",
      "company_id": "string",
      "company_name": "string",
      "archived": true,
      "external_id": "string",
      "custom_fields": [
        {
          "id": "string",
          "custom_field_definition_id": "string",
          "name": "string",
          "value": "string",
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "can_manage": true,
      "created_at": 1,
      "updated_at": 1
    },
    "created_at": 1,
    "updated_at": 1
  }
]
```

**SDK Code**

```python
import requests

url = "https://app.hindsiteind.com/api/v2/tools"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/tools';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/tools"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/tools")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.hindsiteind.com/api/v2/tools")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.hindsiteind.com/api/v2/tools', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/tools");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/tools")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```